#include <Logger.h>
// 流传递无参日志打印
LoggerStream Logger::trace() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->trace(msg); });
}
LoggerStream Logger::debug() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->debug(msg); });
}

LoggerStream Logger::info() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->info(msg); });
}

LoggerStream Logger::warning() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->warning(msg); });
}

LoggerStream Logger::error() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->error(msg); });
}

LoggerStream Logger::critical() noexcept
{
    return LoggerStream(this, [this](const std::string& msg) { this->critical(msg); });
}

#ifdef USE_SPDLOG

#include "LoggerSpdLog.h"

#endif
